//
// Copyright 2014 Perforce Software Inc.
//

using Perforce.ViewModel;
using System.Windows.Controls;

namespace Perforce.View {
    /// <summary>
    /// Interaction logic for SelectWorkspaceForm.xaml
    /// </summary>
    public partial class SelectWorkspaceForm : UserControl {

        private SelectWorkspaceFormViewModel _model;

        public SelectWorkspaceForm() {
            InitializeComponent();
            _model = new SelectWorkspaceFormViewModel();
            _model.Init();
            this.DataContext = _model;
        }

        public SelectWorkspaceFormViewModel Model {
            get { return _model; }
        }

        public Technewlogic.WpfDialogManagement.Contracts.ICustomContentDialog ParentDialog { get; set; }

        private void WorkspaceChoice_SelectionChanged(object sender, SelectionChangedEventArgs e) {
            if (WorkspaceChoice.SelectedIndex >= 0) {
                ParentDialog.CanYes = true;
            } else {
                ParentDialog.CanYes = false;
            }
        }
    }
}
