using Perforce.Helper;
using Perforce.Model;
using Perforce.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Perforce.ViewModel {
    public class FavoritesViewModel : SidebarSelectorViewModelBase {

        private FavoriteFolderItem _item;

        public FavoritesViewModel(SidebarSelector view) : base(view) {
        }

        public FavoriteFolderItem Item {
            get { return _item; }
            set { 
                _item = value;
                OnPropertyChanged("IsServerSource");
            }
        }

        private void UpdateView() {
            //GridHelper.InitializeGrid(View);
        }

        public override SELECTOR_TYPE SelectorType {
            get { return SELECTOR_TYPE.FAVORITE; }
        }

        public bool IsServerSource {
            get {
                var result = false;
                if (_item != null) {
                    result = _item.Selector == SELECTOR_TYPE.SERVER;
                }
                return result;
            }
        }

        public override void Refresh() {
            var grid = View.SidbebarView.ListingGrid;
            if (grid != null) {
                foreach (var child in grid.Children) {
                    if (child is Refreshable) {
                        (child as Refreshable).Refresh();
                    }
                }
            }
            base.Refresh();
        }
    }
}
