using Perforce.Model;
using Perforce.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Perforce.ViewModel {
    public class SidebarViewModel : ViewModelBase {

        public SidebarViewModel() {
            
        }

        public void Refresh(string name = null) {
            if (name == null) {
                name = string.Empty;
            }
            OnPropertyChanged(name);
        }

        public List<FavoriteSelector> FavoriteFolders {
            get {
                var selectorList = new List<FavoriteSelector>();
                var helper = Utility.GetPerforceHelper();
                if (helper != null && helper.CurrentClient != null) {
                    var favHelper = Utility.GetFavoritesHelper();
                    var workspace = helper.CurrentClient.Name;
                    if (workspace != null) {
                        var favList = favHelper.GetFavoriteFolders(workspace);
                        if (favList != null) {
                            foreach (var item in favList) {
                                selectorList.Add(new FavoriteSelector(item));
                            }
                        }
                    }
                }
                return selectorList;
            }
        }

        public List<TagSelector> FavoriteTags {
            get {
                var selectorList = new List<TagSelector>();
                var helper = Utility.GetPerforceHelper();
                if (helper != null && helper.CurrentClient != null) {
                    var favHelper = Utility.GetFavoritesHelper();
                    var workspace = helper.CurrentClient.Name;
                    if (workspace != null) {
                        var favList = favHelper.GetFavoriteTags(workspace);
                        if (favList != null) {
                            foreach (var item in favList) {
                                var ts = new TagSelector(item);
                                selectorList.Add(ts);
                            }
                        }
                    }
                }
                return selectorList;
            }
        }

    }
}
